<?php
/**
 * This file implements the Google Analytics plugin for {@link http://b2evolution.net/}.
 *
 * @copyright (c)2011 by David Newcomb - {@link http://www.bigsoft.co.uk/}.
 *
 * @license GNU General Public License 2 (GPL) - http://www.opensource.org/licenses/gpl-license.php
 *
 * @package plugins
 *
 * @author David Newcomb
 *
 */
if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );


/**
 * PLUGIN_NAME Google_Analytics
 *
 * @package plugins
 */
class google_analytics_plugin extends Plugin
{
	/**
	 * Variables below MUST be overriden by plugin implementations,
	 * either in the subclass declaration or in the subclass constructor.
	 */
	var $name = 'Google Analytics';
	/**
	 * Code, if this is a renderer or pingback plugin.
	 */
	var $code = 'google_analytics';
	var $priority = 10;
	var $version = '1.0';
	var $author = 'David Newcomb';
	var $help_url = 'http://www.bigsoft.co.uk/projects/b2evolution_plugin_google_analytics/';
	var $number_of_installs = 1;

	var $apply_rendering = 'never';
	var $group = 'tracking';


	function PluginVersionChanged( & $params )
	{
		if ( $params['old_version'] != $this->version )
		{
			return true;
		} 
		else
		{
			return false;
		}
	}

	/**
	 * Init
	 *
	 * This gets called after a plugin has been registered/instantiated.
	 */
	function PluginInit( & $params )
	{
		$this->short_desc = $this->T_('b2evolution plugin of Google Analytics');
		$this->long_desc = $this->T_('Track users with Google Analytics.)');
	}

	/**
	 * Define settings that the plugin uses/provides.
	 */
	function GetDefaultSettings()
	{
		return array(

			'account' => array(
				'label' => $this->T_('Account number'),
				'type' => 'text',
				'size' => 15,
				'maxlength' => 12,
				'note' => $this->T_('Starts UA-xxxxxx-x'),
			),

		);
	}

	/**
	 * Head text
	 */
	function SkinBeginHtmlHead() 
	{
		echo "
<script type=\"text/javascript\">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '" . $this->Settings->get( 'account') . "']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
";
	}

	/**
	 * Define user settings that the plugin uses/provides.
	 */
	function GetDefaultUserSettings()
	{
		return array(

			);
	}


} // end Plugin class
?>
